Subject: Re: Version 1.8.1 does not compile on Cygwin 1.7.14

From: Torsten Bögershausen <[email-masked]>
Date: Sun, 06 Jan 2013 08:23:33 +0100

On 06.01.13 07:29, Jason Pyeron wrote:
>> -----Original Message-----
>> From: Stephen & Linda Smith 
>> Sent: Sunday, January 06, 2013 1:21
>>
>>> Was it the commit before
>>> 9fca6cffc05321445b59c91e8f8d308f41588b53 that compiles or was it 
>>> 9fca6cffc05321445b59c91e8f8d308f41588b53 that compiled? I 
>> am doing a 
>>> cygwin update presently to look at it.
>>
>> Since the email earlier today, I had blown away the 
>> directory.   I just now 
>> did the following
>>
>> git clone https://github.com/git/git.git git-src && cd 
>> git-src && make all
>> ...   The make errored out as before
>>
> 
> No error for me.
> 
>> git co 9fca6c && make all
>> ...   The make errored out as before
> 
> No error for me.
> 
>>
>> git co 9fca6c^  && make all
>> ... and this compiles to completion
>>
>> CYGWIN_NT-5.1 WINXPMACHINE 1.7.14(0.260/5/3) 2012-04-24 17:22 
>> i686 Cygwin
> 
> This is old, do you have the luxury of updating it?
> 
>>
>> What else can I do to test this out (I will get a current 
>> cygwin tomorrow to use in a test).
> 
> I would also check to see if your devel packages are up to date too.

You can either upgrade to cygwin 1.17 or higher.
Or, if that is really not possible (because you are sitting on a production machine,
where no changes are allowed),

You can enable this in Makefile: 
CYGWIN_V15_WIN32API = YesPlease

HTH
/Torsten